# RCS_CROSS.py - RCS Adaptor for cross platform use (windows-unix)
# Most methods are inherited from RCS.py
# After changes to the repository file,
# the file is made writable for user and group
# so that it can be deleted from the windows side

import vcs, RCS

#TEST=1

# ---- VCS commands ----------------------------------

def CheckOut():
	ret = RCS.CheckOut()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def CheckOutProject():
	return RCS.CheckOutProject()

def CreateRepositoryFile():
	ret = RCS.CreateRepositoryFile()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def CheckIn():
	ret = RCS.CheckIn()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def Lock():
	ret = RCS.Lock()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def SetWorkFileReadOnly():
	return RCS.SetWorkFileReadOnly()

def UpdateProject():
	return UpdateProject()

def UpdateFile():
	ret = RCS.UpdateFile()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def Unlock():
	ret = RCS.Unlock()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def BreakLock():
	ret = RCS.BreakLock()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def DeleteVersion():
	ret = RCS.DeleteVersion()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def SetDescription():
	ret = RCS.SetDescription()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def SetSymbol():
	ret = RCS.SetSymbol()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret


def DeleteSymbol():
	ret = RCS.DeleteSymbol()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def ChangeComment():
	ret = RCS.ChangeComment()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def Description():
	return RCS.Description()

def History():
	return RCS.History()

def Head():
	return RCS.Head()

def SymbolList():
	return RCS.SymbolList()

def RevisionOfSymbol():
	return RCS.RevisionOfSymbol()

def HistoryOfRevision():
	return RCS.HistoryOfRevision()

def Comment():
	return RCS.Comment()

def Lockers():
	return RCS.Lockers()

def IsLockedBy():
	return RCS.IsLockedBy()

def IsLocked():
	return RCS.IsLocked()

def IsDifferent():
	return RCS.IsDifferent()

def DiffText_W_V():
	ret = RCS.DiffText_W_V()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def DiffText_V_V():
	ret = RCS.DiffText_V_V()
	vcs.chmod(vcs.repositoryFile, 'ug+w')
	return ret

def RepositoryDir():
	return RCS.RepositoryDir()

def RepositoryFile():
	return RCS.RepositoryFile()

def TempDir():
	return RCS.TempDir()

def TempFile():
	return RCS.TempFile()

def BranchDef():
	return RCS.BranchDef()

def RepositoryCheckDef():
	return RCS.RepositoryCheckDef()

def CheckRepositoryDir():
	return RCS.CheckRepositoryDir()

def CheckRepositoryFile():
	return RCS.CheckRepositoryFile()

def DateOfRepositoryFile():
	return RCS.DateOfRepositoryFile()

def CreateRepositoryDir():
	return RCS.CreateRepositoryDir()

def TestTool():
	return RCS.TestTool()

def Constructor():
	return RCS.Constructor()

def Destructor():
	return RCS.Destructor()
